| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
cv::RMat::View Class Reference

`#include <opencv2/gapi/rmat.hpp>`

Collaboration diagram for cv::RMat::View:

## Public Types
using | DestroyCallback = std::function<void()>
using | stepsT = std::vector<size_t>

## Public Member Functions
| View ()=default
| View (const GMatDesc &desc, uchar *data, const stepsT &steps={}, DestroyCallback &&cb=nullptr)
| View (const GMatDesc &desc, uchar *data, size_t step, DestroyCallback &&cb=nullptr)
| View (const View &)=delete
| View (View &&)=default
| ~View ()
int | chan () const
int | cols () const
int | depth () const
const std::vector< int > & | dims () const
size_t | elemSize () const
View & | operator= (const View &)=delete
View & | operator= (View &&v)
template<typename T = uchar>
T * | ptr (int y, int x)
template<typename T = uchar>
const T * | ptr (int y, int x) const
template<typename T = uchar>
T * | ptr (int y=0)
template<typename T = uchar>
const T * | ptr (int y=0) const
int | rows () const
cv::Size | size () const
size_t | step (size_t i=0) const
const stepsT & | steps () const
int | type () const

## Member Typedef Documentation

## ◆ DestroyCallback

using cv::RMat::View::DestroyCallback = std::function<void()>

## ◆ stepsT

using cv::RMat::View::stepsT = std::vector<size_t>

## Constructor & Destructor Documentation

## ◆ View() [1/5]

cv::RMat::View::View | ( |  | ) |
| default

## ◆ View() [2/5]

cv::RMat::View::View | ( | const GMatDesc & | desc,
|  | uchar * | data,
|  | const stepsT & | steps = {},
|  | DestroyCallback && | cb = nullptr )

## ◆ View() [3/5]

cv::RMat::View::View | ( | const GMatDesc & | desc,
|  | uchar * | data,
|  | size_t | step,
|  | DestroyCallback && | cb = nullptr )

## ◆ View() [4/5]

cv::RMat::View::View | ( | const View & |  | ) |
| delete

## ◆ View() [5/5]

cv::RMat::View::View | ( | View && |  | ) |
| default

## ◆ ~View()

cv::RMat::View::~View | ( |  | ) |
| inline

## Member Function Documentation

## ◆ chan()

int cv::RMat::View::chan | ( |  | ) | const
| inline

## ◆ cols()

int cv::RMat::View::cols | ( |  | ) | const
| inline

## ◆ depth()

int cv::RMat::View::depth | ( |  | ) | const
| inline

## ◆ dims()

const std::vector< int > & cv::RMat::View::dims | ( |  | ) | const
| inline

## ◆ elemSize()

size_t cv::RMat::View::elemSize | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

View & cv::RMat::View::operator= | ( | const View & |  | ) |
| delete

## ◆ operator=() [2/2]

View & cv::RMat::View::operator= | ( | View && | v | ) |

## ◆ ptr() [1/4]

template<typename T = uchar>

T * cv::RMat::View::ptr | ( | int | y,
|  | int | x )
| inline

## ◆ ptr() [2/4]

template<typename T = uchar>

const T * cv::RMat::View::ptr | ( | int | y,
|  | int | x ) const
| inline

## ◆ ptr() [3/4]

template<typename T = uchar>

T * cv::RMat::View::ptr | ( | int | y = 0 | ) |
| inline

## ◆ ptr() [4/4]

template<typename T = uchar>

const T * cv::RMat::View::ptr | ( | int | y = 0 | ) | const
| inline

## ◆ rows()

int cv::RMat::View::rows | ( |  | ) | const
| inline

## ◆ size()

cv::Size cv::RMat::View::size | ( |  | ) | const
| inline

## ◆ step()

size_t cv::RMat::View::step | ( | size_t | i = 0 | ) | const
| inline

## ◆ steps()

const stepsT & cv::RMat::View::steps | ( |  | ) | const
| inline

## ◆ type()

int cv::RMat::View::type | ( |  | ) | const

The documentation for this class was generated from the following file:

- opencv2/gapi/rmat.hpp